<?php
/**
 * The template for displaying posts in the Status Post Format on index and archive pages
 *
 * Learn more: http://codex.wordpress.org/Post_Formats
 *
 * @package Catch Themes
 * @subpackage Catch_Box
 */
//Getting data from Theme Options Panel
global $catchbox_options_settings;
$options = $catchbox_options_settings;
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<header class="entry-header">
			<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'catch-box' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
			<h2 class="entry-format"><?php _e( 'Status', 'catch-box' ); ?></h2>
			<?php if ( comments_open() && ( $options[ 'commenting_setting' ] != 'disable' ) && ! post_password_required() ) : ?>
                <div class="comments-link">
                    <?php comments_popup_link(__('Leave a reply', 'catch-box'), __('1 Comment &darr;', 'catch-box'), __('% Comments &darr;', 'catch-box')); ?>
                </div>
			<?php endif; ?>
		</header><!-- .entry-header -->

		<?php if ( is_search() ) : // Only display Excerpts for Search ?>
		<div class="entry-summary">
			<?php the_excerpt(); ?>
		</div><!-- .entry-summary -->
		<?php else : ?>
		<div class="entry-content">
			<div class="avatar"><?php echo get_avatar( get_the_author_meta( 'ID' ), apply_filters( 'catchbox_status_avatar', '65' ) ); ?></div>

			<?php
            if( empty( $options['more_tag_accessible'] ) ) {
		    	$more_tag_text = $options[ 'more_tag_text' ];

		    	the_content( sprintf( __( '%s', 'catch-box' ), esc_attr( $more_tag_text ) ) );
		    }
		    else {
				$more_tag_text = $options[ 'more_tag_text_accessible' ];
				$more_tag_icon = $options[ 'more_tag_icon_accessible' ];

		    	the_content(
	                sprintf(
	                   $more_tag_text,
	                    '<span class="screen-reader-text">  '. get_the_title() .'</span>'
	                ).
	                '<span class="meta-nav">' . $more_tag_icon . '</span>'
	            );
		    }
		    ?>

			<?php wp_link_pages( array(
                'before'		=> '<div class="page-link"><span class="pages">' . __( 'Pages:', 'catch-box' ) . '</span>',
                'after'			=> '</div>',
                'link_before' 	=> '<span>',
                'link_after'   	=> '</span>',
            ) );
            ?>
		</div><!-- .entry-content -->
		<?php endif; ?>

		<footer class="entry-meta">
			<?php catchbox_posted_on(); ?>
			<?php if ( comments_open() && ( $options[ 'commenting_setting' ] != 'disable' ) && ! post_password_required() ) : ?>
				<span class="sep sep-comment"> | </span>
				<span class="comments-link"><?php comments_popup_link(__('Leave a reply', 'catch-box'), __('1 Comment &darr;', 'catch-box'), __('% Comments &darr;', 'catch-box')); ?></span>
			<?php endif; ?>
			<?php edit_post_link( __( 'Edit', 'catch-box' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- #entry-meta -->
	</article><!-- #post-<?php the_ID(); ?> -->
